Skip to main content

This site requires you to update your browser. Your browsing experience maybe affected by not having the most up to date version.

General Questions /

General questions about getting started with SilverStripe that don't fit in any of the categories above.

Moderators: martimiz, Sean, biapar, Willr, Ingo, swaiba, simon_w

Template question for SS3


Reply


3 Posts   517 Views

Avatar
Harley

Community Member, 153 Posts

1 July 2012 at 10:11pm

Edited: 02/07/2012 8:50pm

Hi, first off I'd like to say how much I'm enjoying SS3!

I'm actually working on a project right now using the Page Elements Module. I've used it in 2.4.7 and now trying to use it for 3. However this is the message I'm getting at the top of the page in the CMS area.

Strict Standards: Declaration of GridPage::ThemeDir() should be compatible with that of ViewableData::ThemeDir() in C:\xampp\htdocs\wwwroot\*****\page-elements\code\GridPage.php on line 3

Can anyone tell me what this means exactly? I realise this is an unsupported module but I would love to get it working in SS3, it's a web designer's dream!

Regards

Avatar
Mo

Community Member, 514 Posts

2 July 2012 at 11:33am

I am not familiar with the plugin you are using, but the issue sounds like the same issue as experienced here:

http://www.silverstripe.org/general-questions/show/20086

It looks like the module hasn't been written to be fully compatible with SS3 yet, so you are probably going to have to fork and modify it, or contact the person responsibly for developing it.

Cheers,

Mo

Avatar
Harley

Community Member, 153 Posts

2 July 2012 at 8:49pm

Thanks Mo, I'll give that a whirl!